//-----------------------------------------------------------------------------
//
//  $Logfile:: /game/armor.h                                                  $
// $Revision:: 2                                                              $
//   $Author:: Burgermac                                                      $
//     $Date:: 12/27/00 6:52 PM                                               $
//
// Copyright (C) 1997 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source is may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
//
// DESCRIPTION:
// Standard armor that prevents a percentage of damage per hit.
//

#ifndef __ARMOR_H__
#define __ARMOR_H__

#include "item.h"

#define MAX_ARMOR 100

class Armor : public Item
{
protected:

	virtual void      Setup( const char* model, int amount );
	virtual void      Add( int amount );
public:
	CLASS_PROTOTYPE( Armor );
	Armor();
	virtual qboolean  Pickupable( Entity* other );
};

class RiotHelmet : public Armor
{
public:
	CLASS_PROTOTYPE( RiotHelmet );
	RiotHelmet();
};

class FlakJacket : public Armor
{
public:
	CLASS_PROTOTYPE( FlakJacket );
	FlakJacket();
};

class FlakPants : public Armor
{
public:
	CLASS_PROTOTYPE( FlakPants );
	FlakPants();
};

#endif /* armor.h */
